************************************************************************
*
*  File: ASSSTREM
*
*  Asserts that the given string is empty.
*
*  Tags: NUNIT, assertion
*
*  Parameters:
*    NUASSP    - Assertion parameters.
*    #ACTUAL   - The actual value.
*
*  Returns:
*    -
*
*  About:
*    Library       - NUNIT
*    Erstellt      - 29.08.2009
*    Autor         - $Author: Stefan $
*    Revison       - $LastChangedRevision: 264 $
*    Letzter Autor - $LastChangedBy: Stefan $
*    Modifiziert   - $Date: 2009-08-31 12:44:42 +0200 (Mo, 31 Aug 2009) $
*    Id            - $Id: ASSSTREM.NSS 264 2009-08-31 10:44:42Z Stefan $
************************************************************************
*
DEFINE DATA
*
PARAMETER USING NUASSP
*
PARAMETER
01 #ACTUAL (A) DYNAMIC BY VALUE
*
LOCAL USING NUCONST
*
END-DEFINE
*
************************************************************************
DEFINE SUBROUTINE ASSERT-STRING-EMPTY
************************************************************************
*
INCLUDE NUASSHD
*
IF *TRIM(#ACTUAL) NE ' '
  COMPRESS NUASSP.MESSAGE 'String is not empty.' INTO NUASSP.MESSAGE 
  *ERROR-NR := ASSERTION-ERROR 
END-IF
*
END-SUBROUTINE
************************************************************************
*
END
